Saudades do Amarok 1.4? Pana!

Estava procurando uma maneira de instalar o Amarok 1.4 nas versões mais novas do Ubuntu, eu encontrei alguns repositórios com versões .deb dele, mas acabaram por não conseguir instalar, talvez por que minha máquina usa a versão 64-bits. Foi aí que eu encontrei esse site que falava de um programa feito em cima do Amarok 1.4, o Pana. Resolvi testar, e eu gostei. Na verdade, ele é o Amarok 1.4, mas com algumas imagens mudadas, e acredito eu, que são eles que estão mantendo essa versão do Amarok, apenas com outro nome. Segue uns screenshots:


Eu achei engraçado, riscaram o Amarok e escreveram Pana em cima de um jeito meio infantil, e o fast-forward foi substituído por fast-backward. porém essa é única mudança sutil e parece que eles ainda estão por mudar isso. Por dentro ele é exatamente igual fora o ícone na área de notificação.


A notificação do GNOME foi feita usando um plugin do próprio Amarok. O problema é que sempre onde o plugin chamava o Amarok, ou a executável 'amarokapp', eu tive que mudar para Pana e 'panaapp' para fazer funcionar. Ele está disponível para download no final do post junto com o plugin para reconhecer teclados multimídia no GNOME, também modificado.


Exatamente o mesmo programa. Pegaram o código fonte e modificaram um pouco.

Agora, como instalar o programa. Infelizmente não existe nenhum pacote .deb, .rpm, ou seja lá o que for. Será necessário compilar o código fonte. Mas não é muito difícil, basta seguir os passos. Eu testei isso no Ubuntu Lucid x64 e funcionou perfeitamente.

1. Instalar as dependências:

Basta rodar esse comando e esperar instalar tudo:


sudo apt-get install kdelibs4-dev libxine-dev libdbus-qt-1-dev libtag1-dev libsqlite3-dev libtunepimp-dev libmysqlclient15-dev libpq-dev libvisual-0.4-dev libsdl1.2-dev libifp-dev libusb-dev libnjb-dev ruby ruby1.8-dev x11proto-core-dev automake libtool libxine1 libxine1-ffmpeg build-essential checkinstall libgpod-common libgpod4 libgpod-dev

2. Baixar a ultima versão:

Você pode pegar diretamente do site deles (site do Pana) para ter certeza que é a ultima versão que você está baixando. A versão aqui é a 1.4.15.


wget http://launchpad.net/pana/trunk/1.4.15/+download/pana-1.4.15.tar.bz

3. Extrair o arquivo


tar xvf pana-1.4.15.tar.bz
cd pana-1.4.15

4. Compilar


./configure --prefix=`kde-config --prefix` --disable-debug --disable-warnings --without-arts
make
sudo make install

Feito isso você já pode rodar o Pana. O problema é que ele não cria atalhos no menu nem na área de trabalho. O comando para executá-lo é "pana", então basta criar um atalho em algum lugar e não se preocupar mais com isso.

Os plugins podem ser baixados aqui:



Basta extrai-los na pasta


~/.kde/share/apps/pana/scripts

e abrir o Pana!
Postar um comentário